if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FAT_ELTRA]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

/****** Object:  Table [dbo].[FAT_ELTRA]    Script Date: 30/11/2018 11:31:11 ******/
CREATE TABLE [dbo].[FAT_ELTRA](
	[ditta] [int] NOT NULL CONSTRAINT [DF_FAT_ELTRA_ditta]  DEFAULT ((0)),
	[id] [bigint] NOT NULL CONSTRAINT [DF_FAT_ELTRA_id]  DEFAULT ((0)),
	[IdPaese] [char](2) NOT NULL CONSTRAINT [DF_FAT_ELTRA_IdPaese]  DEFAULT (''),
	[IdCodice] [char](28) NOT NULL CONSTRAINT [DF_FAT_ELTRA_IdCodice]  DEFAULT (''),
	[CodiceFiscale] [char](16) NOT NULL CONSTRAINT [DF_FAT_ELTRA_CodiceFiscale]  DEFAULT (''),
	[Denominazione] [char](80) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Denominazione]  DEFAULT (''),
	[Nome] [char](60) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Nome]  DEFAULT (''),
	[Cognome] [char](60) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Cognome]  DEFAULT (''),
	[Titolo] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Titolo]  DEFAULT (''),
	[CodEORI] [char](17) NOT NULL CONSTRAINT [DF_FAT_ELTRA_CodEORI]  DEFAULT (''),
	[NumeroLicenzaGuida] [char](20) NOT NULL,
	[MezzoTrasporto] [char](80) NOT NULL,
	[CausaleTrasporto] [char](100) NOT NULL CONSTRAINT [DF_FAT_ELTRA_CausaleTrasporto]  DEFAULT (''),
	[NumeroColli] [char](4) NOT NULL CONSTRAINT [DF_FAT_ELTRA_NumeroColli]  DEFAULT (''),
	[Descrizione] [char](100) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Descrizione]  DEFAULT (''),
	[UnitaMisuraPeso] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELTRA_UnitaMisuraPeso]  DEFAULT (''),
	[PesoLordo] [char](7) NOT NULL CONSTRAINT [DF_FAT_ELTRA_PesoLordo]  DEFAULT (''),
	[PesoNetto] [char](7) NOT NULL CONSTRAINT [DF_FAT_ELTRA_PesoNetto]  DEFAULT (''),
	[DataOraRitiro] [char](19) NOT NULL CONSTRAINT [DF_FAT_ELTRA_DataOraRitiro]  DEFAULT (''),
	[DataInizioTrasporto] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELTRA_DataInizioTrasporto]  DEFAULT (''),
	[TipoResa] [char](3) NOT NULL CONSTRAINT [DF_FAT_ELTRA_TipoResa]  DEFAULT (''),
	[Indirizzo] [char](60) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Indirizzo]  DEFAULT (''),
	[NumeroCivico] [char](8) NOT NULL CONSTRAINT [DF_FAT_ELTRA_NumeroCivico]  DEFAULT (''),
	[CAP] [char](5) NOT NULL CONSTRAINT [DF_FAT_ELTRA_CAP]  DEFAULT (''),
	[Comune] [char](60) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Comune]  DEFAULT (''),
	[Provincia] [char](2) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Provincia]  DEFAULT (''),
	[Nazione] [char](2) NOT NULL CONSTRAINT [DF_FAT_ELTRA_Nazione]  DEFAULT (''),
	[DataOraConsegna] [char](19) NOT NULL CONSTRAINT [DF_FAT_ELTRA_DataOraConsegna]  DEFAULT (''),
	[NumeroFatturaPrincipale] [char](20) NOT NULL CONSTRAINT [DF_FAT_ELTRA_NumeroFatturaPrincipale]  DEFAULT (''),
	[DataFatturaPrincipale] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELTRA_DataFatturaPrincipale]  DEFAULT (''),
 CONSTRAINT [PK_FAT_ELTRA] PRIMARY KEY CLUSTERED 
(
	[ditta] ASC,
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


SET ANSI_PADDING OFF
GO


